---------------------------------------------------------------------------------------------
function createFarmerBriefing()

	briefingFarmer = {}

	briefingFarmer.restoreCamera = true

    briefingFarmer.finished = briefingFarmerFinished

	local page = 0

	--	page #1

		page = page + 1

		briefingFarmer[page] 				= 	{}
		briefingFarmer[page].title			= 	String.Key("briefingFarmer[1].title")
		briefingFarmer[page].text			=	String.Key("briefingFarmer[1].text")
		briefingFarmer[page].position 		= 	GetPosition("npcFarmer")
		briefingFarmer[page].dialogCamera	=	true

    --	page #2

		page = page + 1

		briefingFarmer[page] 				= 	{}
		briefingFarmer[page].text			=	String.Key("briefingFarmer[2].text")

    --	page #3

		page = page + 1

		briefingFarmer[page] 				= 	{}
		briefingFarmer[page].text			=	String.Key("briefingFarmer[3].text")

	--  setup table for npc

    	local npc 				=	{}
    	npc.name 				=	"npcFarmer"
    	npc.briefing			=	briefingFarmer

        CreateNPC(npc)

	end

function briefingFarmerFinished()

    GUIQuestTools.StartQuestInformation("Stone", "CM02_06_TechOrResources/QI_briefingFarmer", 1, 1)

    end
	
function createFisherBriefing()
	briefingFisher = {}
	briefingFisher.restoreCamera = true
	briefingFisher.finished = briefingFisherFinished
	local page = 0
	page = page + 1
	briefingFisher[page] = {}
	briefingFisher[page].title = "Fischer"
	briefingFisher[page].text = "Moin. Ihr seid also diejenigen, vor denen Kadir sich so hastig in seine Festung zurück gezogen hat? @cr Dann hab ich es also euch zu verdanken, dass ich keinen einzigen Fisch mehr gefangen bekomme!"
	briefingFisher[page].position = GetPosition("Angler100Taler")
	page = page + 1
	briefingFisher[page] = {}
	briefingFisher[page].title = "Fischer"
	briefingFisher[page].text = "Der Statthalter hat sein ganzes Vermögen so hastig und tollpatschig nach oben schleppen lassen, dass im Wasser inzwischen mehr Geldbeutel als Fische schwimmen."
	briefingFisher[page].position = GetPosition("Angler100Taler")
	page = page + 1
	briefingFisher[page] = {}
	briefingFisher[page].title = "Fischer"
	briefingFisher[page].text = "Kadir soll all den Schotter in eine Schatzkammer im Norden gestopft haben und damit eine Söldner-Kompanie berittener Schützen angeheuert haben. @cr Hab aber gehört, dass die Stimmung dort recht angespannt ist. Wenn also dieser Schatzkammer etwas zustöße, könnte es gut sein, dass die Söldner durch Kadirs Lager marodieren."
	briefingFisher[page].position = GetPosition("Angler100Taler")
	page = page + 1
	briefingFisher[page] = {}
	briefingFisher[page].title = "Fischer"
	briefingFisher[page].text = "Oh, ich hoffe das ist jetzt ein Fisch! Nur wieder ein Geldbeutel. Jetzt geht weg und lasst mich weiter angeln. Und nehmt das hier bloß weg von mir."
	briefingFisher[page].position = GetPosition("Angler100Taler")
	
	local npc 				=	{}
    npc.name 				=	"Angler100Taler"
    npc.briefing			=	briefingFisher

     CreateNPC(npc)
end

function briefingFisherFinished()
	AddGold(100)
end

function createSoeldnerBriefing()
	SoeldnerBriefing = {}
	SoeldnerBriefing.restoreCamera = true
	SoeldnerBriefing.finished = SoeldnerBriefingDone
	local page = 0
	page = page + 1
	SoeldnerBriefing[page] = {}
	SoeldnerBriefing[page].title = "Söldner-Anführer"
	SoeldnerBriefing[page].text = "Die Schatzkammer wurde zerstört? Das nutzt dieser Pfeffersack nur wieder als noch eine verdammte Ausrede, um uns nicht bezahlen zu müssen."
	SoeldnerBriefing[page].position = GetPosition("player1")
	page = page+ 1
	SoeldnerBriefing[page] = {}
	SoeldnerBriefing[page].title = "Söldner-Anführer"
	SoeldnerBriefing[page].text = "Genug! Keine Aufschübe mehr, kein Kredit! Männer! Auf zum Bischofsgefängnis. Erteilen wir Kadir eine Lektion!"
	SoeldnerBriefing[page].position = GetPosition("player1")
	StartBriefing(SoeldnerBriefing)
end

function SoeldnerBriefingDone()
	LkavBaseDef:ClearCommandQueue()
	LkavBaseDef:AddCommandMove(GetPosition("guards"),false)
	LkavBaseDef:AddCommandLuaFunc(makeNeutral,false)
	LkavBaseDef:AddCommandLuaFunc(MoveToBishop,false)
	LkavBaseDef:AddCommandMove(GetPosition("guards"),true)
	LkavBaseDef:AddCommandWaitForIdle(true)
	BankDestroiedAfter = true
	InitPlayerColorMapping()
end

function createSchmiedBriefing()
	SchmiedBriefing = {}
	SchmiedBriefing.restoreCamera = true
	SchmiedBriefing.finished = SchmiedBriefingDone
	local page = 0
	page = page + 1
	SchmiedBriefing[page] = {}
	SchmiedBriefing[page].title = "Feinschmied"
	SchmiedBriefing[page].text = "*Gähn* Repariert dies, verbessert das, die Rüstungen müssen glänzen! Ach, wie gern hätte ich einfach eine Pause und könnte endlich ein kleines Nickerchen machen."
	SchmiedBriefing[page].position = GetPosition("feinschmied")
	page = page + 1
	SchmiedBriefing[page] = {}
	SchmiedBriefing[page].title = "Feinschmied"
	SchmiedBriefing[page].text = "Aber *Gähn* nein, ich muss gleich wieder in die Feinschmiede und die Arbeiten vorantreiben. Sonst bessert niemand die Ausrüstung der Soldaten aus. Und dann wird der Statthalter wütend."
	SchmiedBriefing[page].position = GetPosition("feinschmied")
	StartBriefing(SchmiedBriefing)
end

function SchmiedBriefingDone()
	Trigger.RequestTrigger(Events.LOGIC_EVENT_EVERY_SECOND,nil,"BlacksmithDestroied",1,nil,{"feinschmid"})
end

function BlacksmithDestroied(_entname)
	if IsDead(_entname) then
		createBriefingSmithDown()
		return true
	end
	return false
end

function createBriefingSmithDown()
	SmithDownBriefing = {}
	SmithDownBriefing.restoreCamera = true
	local page = 0
	page = page + 1
	SmithDownBriefing[page] = {}
	SmithDownBriefing[page].title = "Feinschmied"
	SmithDownBriefing[page].text = "Oh, die Feinschmiede ist abgebrannt! Ein Jammer. Aber wenn die Waffen und Rüstungen ohnehin nicht mehr verbessert werden können, *gähn* dann kann mir auch niemand wütend sein, wenn ich mir etwas Schlaf hole. @cr Gute Nacht, allesamt!"
	SmithDownBriefing[page].position = GetPosition("feinschmied")
	StartBriefing(SmithDownBriefing)
end